(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6927,        188]
NotebookOptionsPosition[      6412,        165]
NotebookOutlinePosition[      6768,        181]
CellTagsIndexPosition[      6725,        178]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "\:30ab\:30bf\:30b9\:30c8\:30ed\:30d5\:30a3\:30fc\:7406\:8ad6\:306e\:7279\
\:6b8a\:95a2\:6570\:ff08\:52d5\:753b\:ff09\n",
 StyleBox[" Special functions of catastrophe theory (Animations)",
  FontSize->18]
}], "Subtitle",
 CellChangeTimes->{{3.7903872358812323`*^9, 3.7903872858169203`*^9}, {
  3.7903873711022696`*^9, 3.790387392318307*^9}}],

Cell[CellGroupData[{

Cell["Swallowtail integral", "Subsection",
 CellChangeTimes->{{3.790387441848394*^9, 3.7903874489932065`*^9}},
 FontSize->16],

Cell[BoxData[
 StyleBox[
  RowBox[{"<<", "SpecialFunctions`Miscellaneous`"}],
  FontColor->RGBColor[0, 0, 1]]], "Input"],

Cell["\<\
\:3000PlotLabel \:5185\:306b\:3042\:308b\:30c6\:30ad\:30b9\:30c8\:306f\:3001\
\:597d\:307f\:306e\:30d5\:30a9\:30f3\:30c8\:306b\:5909\:66f4\:3057\:3066\:4e0b\
\:3055\:3044\:3002
\:3000Change the text in \[OpenCurlyDoubleQuote]PlotLabel\
\[CloseCurlyDoubleQuote] to your favorite font.\
\>", "Text",
 CellChangeTimes->{{3.7901985166538*^9, 3.7901987348825836`*^9}, {
   3.7901990805635905`*^9, 3.7901991759421577`*^9}, 3.7902017149090176`*^9}],

Cell[BoxData[
 RowBox[{"move1Swallowtail", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"DensityPlot", "[", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        StyleBox["SwallowtailIntegral",
         FontColor->GrayLevel[0]], "[", 
        RowBox[{"x", ",", "y", ",", 
         RowBox[{"-", "z"}]}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "10"}], ",", "30"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "16"}], ",", "16"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
      RowBox[{"MaxRecursion", "\[Rule]", "2"}], ",", "\[IndentingNewLine]", 
      RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
      RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
      RowBox[{"ColorFunction", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"ColorData", "[", "\"\<SunsetColors\>\"", "]"}], "[", "#", 
          "]"}], "&"}], ")"}]}], ",", "\[IndentingNewLine]", 
      StyleBox[
       RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}],
       FontColor->GrayLevel[0]], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
      RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Panel", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              StyleBox["\"\<\!\(\*
StyleBox[\"S\",
FontSize->14,
FontSlant->\"Italic\"]\)(x,\!\(\*
StyleBox[\" \",
FontSize->6]\)y,\!\(\*
StyleBox[\" \",
FontSize->6]\)\>\"",
               FontFamily->"Courier New"], ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"-", "z"}], ",", 
                RowBox[{"{", 
                 RowBox[{"2", ",", "1"}], "}"}]}], "]"}], ",", 
              StyleBox["\"\<)\>\"",
               FontFamily->"Courier New"]}], "}"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"FontFamily", "\[Rule]", "\"\<CenturyOldst\>\""}]}], "]"}],
          ",", 
         RowBox[{"FrameMargins", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"5", ",", "5"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"3", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRegion", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.02", ",", "0.98"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.02", ",", "0.98"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", "0", ",", "10", ",", "0.2"}], "}"}]}], 
   "]"}]}]], "Input",
 PageWidth->Infinity,
 CellChangeTimes->{{3.6575029264905024`*^9, 3.657502937098521*^9}, 
   3.657502969000577*^9, {3.657503145241688*^9, 3.657503168314128*^9}, {
   3.6575032260654297`*^9, 3.6575032522734756`*^9}, {3.6575032915855446`*^9, 
   3.6575032937383485`*^9}, {3.657503352004451*^9, 3.6575034848854837`*^9}, {
   3.657503520422346*^9, 3.65750356213682*^9}, 3.6575036461593676`*^9, {
   3.657517252369006*^9, 3.657517287032267*^9}, {3.657517411464486*^9, 
   3.657517417891698*^9}, {3.657517467031784*^9, 3.657517477437002*^9}, 
   3.6576045519405813`*^9, {3.6583916278470154`*^9, 3.658391632495824*^9}, 
   3.6583917322176*^9, {3.6584002481249576`*^9, 3.6584002514321632`*^9}, {
   3.6584003438623257`*^9, 3.658400344080726*^9}, 3.6584004404420958`*^9, 
   3.658440243638033*^9, 3.658440277100092*^9, 3.6584439887179537`*^9}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<370move_0010.gif\>\"", ",", "move1Swallowtail", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "100"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.657338436484969*^9, 3.6573384377329717`*^9}, {
   3.6573385996924562`*^9, 3.6573386017672596`*^9}, {3.657338633419715*^9, 
   3.657338655696554*^9}, 3.6573387265362787`*^9, {3.657350124024101*^9, 
   3.657350127237706*^9}, {3.657352150746818*^9, 3.6573521509808187`*^9}, 
   3.65735224859019*^9, {3.6574196532174406`*^9, 3.6574196566338468`*^9}, {
   3.6574205201221647`*^9, 3.657420525847375*^9}, {3.6574222587232265`*^9, 
   3.6574222768972588`*^9}, {3.6574978824536204`*^9, 3.6574978952300425`*^9}, 
   3.65750146212833*^9, 3.6575029476597395`*^9, {3.6575035773000464`*^9, 
   3.657503577658847*^9}},
 Background->RGBColor[
  0.9019607843137255, 0.8196078431372549, 0.9372549019607843]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1026, 790},
WindowMargins->{{Automatic, 103}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (2011\:5e743\:670821\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 358, 7, 108, "Subtitle"],
Cell[CellGroupData[{
Cell[962, 33, 125, 2, 59, "Subsection"],
Cell[1090, 37, 120, 3, 43, "Input"],
Cell[1213, 42, 451, 8, 66, "Text"],
Cell[1667, 52, 3826, 93, 206, "Input"],
Cell[5496, 147, 888, 14, 67, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
